%global momorel 1
%global         qtver 4.4.0
%global         qtdir %{_libdir}/qt4
%global		srcname PyQt-x11-gpl
%global         src_ver 4.5
%global		minor .4
# Fedora review: http://bugzilla.redhat.com/190189

Summary: Python bindings for Qt4
Name: 	 PyQt4
Version: %{src_ver}%{minor}
Release: %{?snapshot_date:0.%{snapshot_date}.}%{momorel}m%{?dist}

License: GPLv2
Group: 	 Development/Languages
Url: 	 http://www.riverbankcomputing.co.uk/pyqt/
Source0: http://www.riverbankcomputing.co.uk/static/Downloads/%{name}/%{srcname}-%{version}%{?snapshot_date:-snapshot-%{snapshot_date}}.tar.gz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch1:  PyQt-x11-gpl-4.4.4-64bit.patch
# HACK! FIXME: ping upstream why this isn't working right. -- Rex
Patch2:  PyQt-x11-gpl-4.5.2-QT_SHARED.patch
Patch4:  PyQt-x11-gpl-4.5.1-pyuic_shebang.patch

BuildRequires: qt-devel >= %{qtver}
BuildRequires: chrpath
BuildRequires: dbus-devel dbus-python-devel
BuildRequires: findutils
BuildRequires: qscintilla-python

BuildRequires: python-devel
%global python_ver %(%{__python} -c "import sys ; print sys.version[:3]")
%global python_sitelib  %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
%global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")

BuildRequires: sip-devel >= 4.8.2
%global sip_ver %(sip -V 2>/dev/null | cut -d' ' -f1)
%if "%{?sip_ver}" > "3"
# To be paranoid, could change >= to = -- Rex
Requires: sip >= %{sip_ver}
%endif

Requires: dbus-python

%description
These are Python bindings for Qt4.

%package devel
Summary: Files needed to build other bindings based on Qt4
Group:	 Development/Languages
Requires: %{name} = %{version}-%{release}
Requires: qt-devel >= %{qtver}
Requires: sip-devel
%description devel
Files needed to build other bindings for C++ classes that inherit from any
of the Qt4 classes (e.g. KDE or your own).


%prep
%setup -q -n PyQt-x11-gpl-%{version}%{?snapshot_date:-snapshot-%{snapshot_date}}

%patch1 -p1 -b .64bit
%patch2 -p1 -b .QT_SHARED
%patch4 -p1 

# mark examples non-executable
find examples/ -name "*.py" | xargs chmod a-x


%build

QT4DIR=%{qtdir}
PATH=%{qtdir}/bin:$PATH ; export PATH

# configure.py isn't smart enough to either use qmake or QMAKEPATH
QMAKESPEC=$QT4DIR/mkspecs/linux-g++; export QMAKESPEC
%if "%{_lib}" == "lib64"
QMAKESPEC=$QT4DIR/mkspecs/linux-g++-64 ; export QMAKESPEC
%endif

echo yes | %{__python} configure.py --verbose 

make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} INSTALL_ROOT=%{buildroot}

# fix/remove rpath
chrpath --list   %{buildroot}%{python_sitearch}/PyQt4/QtDesigner.so
chrpath --delete %{buildroot}%{python_sitearch}/PyQt4/QtDesigner.so

# non-executable script
chmod 755 %{buildroot}%{python_sitearch}/PyQt4/uic/pyuic.py

# missing shebang
cp -a %{buildroot}%{_bindir}/pyuic4 %{buildroot}%{_bindir}/pyuic4.ORIG
cat > %{buildroot}%{_bindir}/pyuic4 <<EOF
#!/bin/sh

EOF
cat %{buildroot}%{_bindir}/pyuic4.ORIG >> %{buildroot}%{_bindir}/pyuic4
rm -f %{buildroot}%{_bindir}/pyuic4.ORIG

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog GPL_EXCEPTION* LICENSE* NEWS OPENSOURCE-NOTICE.TXT README THANKS
%{python_sitearch}/PyQt4/
%{python_sitelib}/dbus/mainloop/qt.so

%files devel
%defattr(-,root,root,-)
%doc doc/*
%doc examples/
%{_bindir}/*
%{_datadir}/sip/PyQt4/
%{_datadir}/qt4/qsci/api/python/PyQt4.api
%{qtdir}/plugins/designer/*

%changelog
* Tue Jul 28 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.5.4-1m)
- update to 4.5.4

* Wed Jun 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.5.0-3m)
- no NoSource

* Thu Jun 11 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.5.0-2m)
- BuildRequires: sip-devel >= 4.8.0

* Fri Jun  6 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.5.0-1m)
- update to 4.5

* Fri Jun  5 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.5.0-0.20090604.1m)
- update to 4.5 snapshot 20090604

* Tue Jun  2 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.5.0-0.20090601.1m)
- update to 4.5 snapshot 20090601

* Fri May 29 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.5.0-0.20090527.1m)
- update to 4.5 snapshot 20090527

* Tue May 26 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.5.0-0.20090525.1m)
- update to 4.5 snapshot 20090525 again

* Tue May 26 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.4.4-6m)
- version down to 4.4.4

* Tue May 26 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.5.0-0.20090525.1m)
- update to 4.5 snapshot 20090525

* Mon May 18 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.5.0-0.20090518.1m)
- update to 4.5 snapshot 20090518

* Tue Apr 07 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.4.4-5m)
- rebuild against openssl-0.9.8k

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.4.4-4m)
- rebuild against rpm-4.6

* Thu Jan  1 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.4.4-3m)
- update Patch3 for fuzz=0

* Wed Dec 31 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (4.4.4-2m)
- rebuild against python-2.6.1-1m

* Sat Nov 29 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.4.4-1m)
- update to 4.4.4

* Sat Aug 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.4.3-1m)
- update to 4.4.3

* Wed Jun  4 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.4.2-2m)
- rebuild against opessl-0.9.8h-1m

* Thu May 22 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.4.2-1m)
- update to 4.4.2

* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.3-4m)
- rebuild against qt-4.4.0-1m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.3.3-3m)
- rebuild against gcc43

* Thu Mar 20 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.3-2m)
- modify %%files

* Sat Dec 29 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.3-1m)
- import from Fedora devel

* Wed Dec 05 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 4.3.3-1
- PyQt-4.3.3

* Thu Nov 22 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 4.3.1-3
- dbus support (#395741)

* Mon Nov 12 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 4.3.1-1
- PyQt-4.3.1

* Thu Oct 04 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 4.2-8
- drop ExcludeArch: ppc64 , qt4 bug is (hopefully) fixed.

* Thu Oct 04 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 4.2-7
- fix QtDesigner plugin install

* Wed Oct 03 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 4.2-6
- 64bit QtDesigner patch

* Mon Aug 27 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 4.2-5
- -devel: Requires: qt4-devel

* Sun Aug 26 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 4.2-4
- use %%python_sitearch
- License: GPLv2

* Thu Aug 02 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 4.2-3
- fix python_sitelib typo (wrt chrpath call)
- move %%_bindir stuff to -devel
- mark %%doc examples non-executable
- add shebang to %%_bindir/pyuic4

* Tue Jul 17 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 4.2-2
- remove rpath from QtDesigner.so
- BR: qt4-devel > 4.3.0-8

* Wed Apr 11 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 4.2-1
- PyQt4-4.2

* Wed Feb 28 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 4.1.1-2
- fix build against multilib'd qt4

* Mon Dec 11 2006 Rex Dieter <rexdieter[AT]usres.sf.net> 4.1.1-1
- PyQt4-4.1.1
- BR: sip-devel >= 4.5.1

* Mon Nov 06 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1-1
- PyQt4-4.1

* Wed Oct 04 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.0.1-4
- don't own %%_datadir/sip (bug #206633)

* Mon Aug 28 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.0.1-3
- BR: qt4-devel < 4.2

* Sat Jul 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.0.1-2
- fix reference(s) to qmake(4)

* Sun Jul 16 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.0.1-1
- PyQt-4.0.1

* Mon Jun 12 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.0-1
- PyQt-4.0(final)
- BR: sip-devel >= 4.4.4 (see bug #199430)

* Fri May 12 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.0-0.6.beta1
- drop BR: qt4-MySQL qt4-ODBC qt4-PostgreSQL
- drop usage of (undefined) %%sip_min

* Fri Apr 28 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.0-0.5.beta1
- cleanup for Extras

* Fri Apr 28 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.0-0.4.beta1
- 4.0beta1

* Thu Apr 27 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.0-0.3.20060421 
- respin for sip-4.4.3
- use sip-abi, sip-abi-min

* Mon Apr 24 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.0-0.2.20060421
- 20060421 snapshot

* Wed Apr 19 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.0-0.1.20060417
- first try, using 20060417 snapshot

